<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.BeginTransaction Method
DatabaseEnvironment Class See Also Send Feedback

Create a new transaction in the environment, with the default configuration.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public Transaction BeginTransaction()

Visual Basic (Declaration)

    Public Function BeginTransaction As Transaction

Visual C++

    public:
    Transaction^ BeginTransaction()

#### Return Value

A new transaction object

# See Also

DatabaseEnvironment Class
BeginTransaction Overload
BerkeleyDB Namespace